<?php

namespace DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic;

use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Conditions\Abstraction\Condition;
use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Fields\Abstraction\Field;
class SingleConditionalLogic
{
    private Field $field;
    private Condition $condition;
    public function __construct(Field $field, Condition $condition)
    {
        $this->field = $field;
        $this->condition = $condition;
    }
    public function get_field(): Field
    {
        return $this->field;
    }
    public function get_condition(): Condition
    {
        return $this->condition;
    }
}
